{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "C_NATURE_EMPLOI"; 
            externalType = VARCHAR2; 
            name = cNatureEmploi; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2; 
        }, 
        {
            allowsNull = Y; 
            columnName = "C_NATURE_PERSONNEL"; 
            externalType = VARCHAR2; 
            name = cNaturePersonnel; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2; 
        }, 
        {
            allowsNull = Y; 
            columnName = "C_TYPE_ACTIVITE"; 
            externalType = VARCHAR2; 
            name = cTypeActivite; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2; 
        }, 
        {
            allowsNull = Y; 
            columnName = "C_VENT_BUDGET"; 
            externalType = VARCHAR2; 
            name = cVentBudget; 
            valueClassName = NSString; 
            valueType = S; 
            width = 3; 
        }, 
        {
            allowsNull = Y; 
            columnName = CONEX; 
            externalType = VARCHAR2; 
            name = conex; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2; 
        }, 
        {
            allowsNull = Y; 
            columnName = IDKX05; 
            externalType = VARCHAR2; 
            name = idkx05; 
            valueClassName = NSString; 
            valueType = S; 
            width = 28; 
        }, 
        {
            columnName = IDKX10; 
            externalType = VARCHAR2; 
            name = idkx10; 
            valueClassName = NSString; 
            valueType = S; 
            width = 41; 
        }
    ); 
    attributesUsedForLocking = (
        idkx10, 
        idkx05, 
        conex, 
        cVentBudget, 
        cNaturePersonnel, 
        cNatureEmploi, 
        cTypeActivite
    ); 
    className = "org.cocktail.kaki.server.metier.EOKx10"; 
    classProperties = (conex, cVentBudget, cNaturePersonnel, cNatureEmploi, cTypeActivite, kx05); 
    externalName = "jefy_paf.KX_10"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (conex, cVentBudget, cNaturePersonnel, cNatureEmploi, cTypeActivite, kx05); 
        "_javaClientClassName" = "org.cocktail.kaki.client.metier.EOKx10"; 
    }; 
    name = Kx10; 
    primaryKeyAttributes = (idkx10); 
    relationships = (
        {
            destination = Kx05; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = idkx05; sourceAttribute = idkx05; }); 
            name = kx05; 
        }
    ); 
}
